# List providers

Launch stage: GA

`GET /api/2.1/unity-catalog/providers`

Gets an array of available authentication providers.
 The caller must either be a metastore admin, have the **USE_PROVIDER** privilege on the providers,
 or be the owner of the providers. Providers not owned by the caller and for which the caller does
 not have the **USE_PROVIDER** privilege are not included in the response.
 There is no guarantee of a specific ordering of the elements in the array.

API scopes: sharing

## Query parameters

- `data_provider_global_metastore_id` (string, optional)
  If not provided, all providers will be returned.
   If no providers exist with this ID, no results will be returned.
- `max_results` (int32, optional)
  Maximum number of providers to return.
    - when set to 0, the page length is set to a server configured value (recommended);
    - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
    - when set to a value less than 0, an invalid parameter error is returned;
    - If not set, all valid providers are returned (not recommended).
    - Note: The number of returned providers might be less than the specified max_results size, even zero.
   The only definitive indication that no further providers can be fetched is when the next_page_token is unset from the response.
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

Returns a list of ProviderInfo objects.

## Response

```json
{
  "providers": [
    {
      "name": "string",
      "authentication_type": "TOKEN",
      "recipient_profile_str": "string",
      "comment": "string",
      "owner": "string",
      "recipient_profile": {},
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "cloud": "string",
      "region": "string",
      "metastore_id": "string",
      "data_provider_global_metastore_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

